package org.wcs.serve.service.intf;

import jakarta.servlet.http.HttpServletResponse;
import org.wcs.model.dto.serve.stockSingleTask.AddSingleTaskReq;
import org.wcs.model.dto.serve.stockSingleTask.QueryStockSingleTaskReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.stockSingleTask.AppStockSingleTaskVo;


public interface IStockSingleTaskService {
    AppServeDataResponse<PageDataResponse<AppStockSingleTaskVo>> query(QueryStockSingleTaskReq request, Integer pageSize, Integer pageIndex);
    AppServeDataResponse<PageDataResponse<AppStockSingleTaskVo>> queryBak(QueryStockSingleTaskReq request, Integer pageSize, Integer pageIndex);
    void downLoadBak(HttpServletResponse response, QueryStockSingleTaskReq request);
    AppServeResponse addSingleTask(AddSingleTaskReq request); // 添加单任务数据
    AppServeResponse newPlcTaskId(String taskId); // 产生一个新的 plcTaskId
    AppServeResponse updateTaskStatus(String taskId, Integer taskStatus); // 更新任务状态
    AppServeResponse completeTask(String taskId); // 完成任务
    AppServeResponse cancelTask(String taskId); // 取消任务
}
